QXmpp Version:0.3.91

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Signals | Public Member Functions | Protected Member Functions
QXmppLoggable Class Reference
Core

The QXmppLoggable class represents a source of logging messages. More...

`#include <QXmppLogger.h>`

Inheritance diagram for QXmppLoggable:

List of all members.

## Signals
void | logMessage (QXmppLogger::MessageType type, const QString &msg)
| This signal is emitted to send logging messages.
## Public Member Functions
| QXmppLoggable (QObject *parent=0)
## Protected Member Functions
void | debug (const QString &message)
void | info (const QString &message)
void | warning (const QString &message)
void | logReceived (const QString &message)
void | logSent (const QString &message)

## Detailed Description

The QXmppLoggable class represents a source of logging messages.

## Constructor & Destructor Documentation

QXmppLoggable::QXmppLoggable | ( | QObject * | parent = `0` | ) |

Constructs a new QXmppLoggable.

Parameters:

  parent |

## Member Function Documentation

void QXmppLoggable::debug | ( | const QString & | message | ) | `[inline, protected]`

Logs a debugging message.

Parameters:

  message |

void QXmppLoggable::info | ( | const QString & | message | ) | `[inline, protected]`

Logs an informational message.

Parameters:

  message |

void QXmppLoggable::logReceived | ( | const QString & | message | ) | `[inline, protected]`

Logs a received packet.

Parameters:

  message |

void QXmppLoggable::logSent | ( | const QString & | message | ) | `[inline, protected]`

Logs a sent packet.

Parameters:

  message |

void QXmppLoggable::warning | ( | const QString & | message | ) | `[inline, protected]`

Logs a warning message.

Parameters:

  message |

The documentation for this class was generated from the following files:

- QXmppLogger.h
- QXmppLogger.cpp

All Classes Functions Enumerations Enumerator Properties